AnnotationMetadataSourceProcessorImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Class AnnotationMetadataSourceProcessorImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.AnnotationMetadataSourceProcessorImpl

All Implemented Interfaces:
  MetadataSourceProcessor

    public class AnnotationMetadataSourceProcessorImpl

extends Object
implements MetadataSourceProcessor

Main class responsible to creating and binding the Hibernate meta-model from annotations. This binder only has to deal with the (jandex) annotation index/repository. XML configuration is already processed and pseudo annotations are created.

Constructor Summary
`AnnotationMetadataSourceProcessorImpl(MetadataImpl metadata)`

Method Summary
`void` | `prepare(MetadataSources sources)` Prepare for processing the given sources.
`void` | `processIndependentMetadata(MetadataSources sources)` Process the independent metadata.
`void` | `processMappingDependentMetadata(MetadataSources sources)` Process the parts of the metadata that depend on mapping (entities, et al) information having been processed and available.
`void` | `processMappingMetadata(MetadataSources sources, List<String> processedEntityNames)` Process the mapping (entities, et al) metadata.
`void` | `processTypeDependentMetadata(MetadataSources sources)` Process the parts of the metadata that depend on type information (type definitions) having been processed and available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationMetadataSourceProcessorImpl

    public AnnotationMetadataSourceProcessorImpl(MetadataImpl metadata)

Method Detail

### prepare

    public void prepare(MetadataSources sources)

  Description copied from interface: `MetadataSourceProcessor`
  Prepare for processing the given sources.

  Specified by:
    `prepare` in interface `MetadataSourceProcessor`
  Parameters:
    `sources` - The metadata sources.

### processIndependentMetadata

    public void processIndependentMetadata(MetadataSources sources)

  Description copied from interface: `MetadataSourceProcessor`
  Process the independent metadata. These have no dependency on other types of metadata being processed.

  Specified by:
    `processIndependentMetadata` in interface `MetadataSourceProcessor`
  Parameters:
    `sources` - The metadata sources.
  See Also:
    `MetadataSourceProcessor.prepare(org.hibernate.metamodel.MetadataSources)`

### processTypeDependentMetadata

    public void processTypeDependentMetadata(MetadataSources sources)

  Description copied from interface: `MetadataSourceProcessor`
  Process the parts of the metadata that depend on type information (type definitions) having been processed and available.

  Specified by:
    `processTypeDependentMetadata` in interface `MetadataSourceProcessor`
  Parameters:
    `sources` - The metadata sources.
  See Also:
    `MetadataSourceProcessor.processIndependentMetadata(org.hibernate.metamodel.MetadataSources)`

### processMappingMetadata

    public void processMappingMetadata(MetadataSources sources,
                                       List<String> processedEntityNames)

  Description copied from interface: `MetadataSourceProcessor`
  Process the mapping (entities, et al) metadata.

  Specified by:
    `processMappingMetadata` in interface `MetadataSourceProcessor`
  Parameters:
    `sources` - The metadata sources.
    `processedEntityNames` - Collection of any already processed entity names.
  See Also:
    `MetadataSourceProcessor.processTypeDependentMetadata(org.hibernate.metamodel.MetadataSources)`

### processMappingDependentMetadata

    public void processMappingDependentMetadata(MetadataSources sources)

  Description copied from interface: `MetadataSourceProcessor`
  Process the parts of the metadata that depend on mapping (entities, et al) information having been processed and available.

  Specified by:
    `processMappingDependentMetadata` in interface `MetadataSourceProcessor`
  Parameters:
    `sources` - The metadata sources.
  See Also:
    `MetadataSourceProcessor.processMappingMetadata(org.hibernate.metamodel.MetadataSources, java.util.List)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.